FullHmmerProfileHMM (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.hmmer.FullHmmerProfileHMM class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.hmmer
Class FullHmmerProfileHMM

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.dp.SimpleMarkovModel
              org.biojava.bio.program.hmmer.FullHmmerProfileHMM

All Implemented Interfaces:
  Serializable, MarkovModel, Changeable

    public class FullHmmerProfileHMM

extends SimpleMarkovModel

This is a class for representing the full HMMER generated Profile HMM (including loop states N and C terminal looping states).

Since:
  1.3
Author:
  Lachlan Coin
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.biojava.bio.dp.SimpleMarkovModel
`serialVersionUID`

Fields inherited from interface org.biojava.bio.dp.MarkovModel
`ARCHITECTURE, PARAMETER`

Method Summary
`EmissionState` | `cState()` Gets the c loop state
`ModelInState` | `hmm()` Gets the inner HmmerProfileHMM state
`EmissionState` | `jState()` Gets the J loop state
`EmissionState` | `nState()` Gets the n loop state

Methods inherited from class org.biojava.bio.dp.SimpleMarkovModel
`addState, advance, containsTransition, createTransition, destroyTransition, emissionAlphabet, getChangeSupport, getWeights, heads, magicalState, removeState, setWeights, stateAlphabet, toString, transitionsFrom, transitionsTo`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### jState

    public EmissionState jState()

  Gets the J loop state

### cState

    public EmissionState cState()

  Gets the c loop state

### nState

    public EmissionState nState()

  Gets the n loop state

### hmm

    public ModelInState hmm()

  Gets the inner HmmerProfileHMM state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD